# frozen_string_literal: true

# Un campo de idioma
class MetadataLang < MetadataTemplate
  def default_value
    super || I18n.locale
  end

  def value_from_document
    document.collection.label.to_sym
  end

  def value
    self[:value] ||= value_from_document || default_value
  end

  def values
    site.locales
  end
end
